This example shows how to use the report designer events. Some designer actions have events to which you can subscribe. For example, save report, create new report, preview report, exit from the designer:
<script type="text/javascript">
	// Set the full screen mode for the designer
	var options = new Stimulsoft.Designer.StiDesignerOptions();
	options.appearance.fullScreenMode = true;

	// Create the report designer with specified options
	var designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);

	// Assign the onSaveReport event function
	designer.onSaveReport = function (e) {
		var jsonStr = e.report.saveToJsonString();
		alert("Save to JSON string complete.")
	}

	// Assign the onCreateReport event function
	designer.onCreateReport = function (e) {
		var ds = new Stimulsoft.System.Data.DataSet("Demo");
		ds.readJsonFile("../reports/Demo.json");
		e.report.regData("Demo", "Demo", ds);
		e.report.dictionary.synchronize();
	}

	// Assign the onPreviewReport event function
	designer.onPreviewReport = function (e) {
	
	}
	
	// Assign the onExit event function
	designer.onExit = function (e) {
	
	}
	
	// Create a new report instance
	var report = new Stimulsoft.Report.StiReport();
	// Load report from url
	report.loadFile("../reports/SimpleList.mrt");
	// Edit report template in the designer
	designer.report = report;
	
	// Show the report designer in the 'content' element
	designer.renderHtml("content");
</script>

In the screenshot below you can see the result of the sample code:

Using Designer Events

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

The designer raises events for creating, saving and previewing a report. This example registers data on new reports and reacts to saves.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer';

function onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
    var dataSet = new Stimulsoft.System.Data.DataSet("Demo");
    dataSet.readJsonFile("Data/Demo.json");
    args.report.regData("Demo", "Demo", dataSet);
    args.report.dictionary.synchronize();
}
function onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) { alert("onSaveReport event"); }

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
</script>

<template>
    <Designer :report="report" :options="designerOptions"
        @create-report="onCreateReport" @save-report="onSaveReport" />
</template>
Each event receives the current report through args.report; onCreateReport pre-registers data for new reports, and onSaveReport is where you persist the edited template.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

The React designer raises events for creating, saving, previewing and exiting a report.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
import React from 'react';
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-react/designer';

function onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) {
    alert('onSaveReport event');
}

function onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
    var dataSet = new Stimulsoft.System.Data.DataSet('Demo');
    dataSet.readJsonFile('Data/Demo.json');
    args.report.regData('Demo', 'Demo', dataSet);
    args.report.dictionary.synchronize();
}

function onPreviewReport(args: Stimulsoft.Designer.PreviewReportArgs) {
    alert('onPreviewReport event');
}

function onExit(args: Stimulsoft.Report.EventDataArgs) {
    alert('onExit event');
}

function App() {
    var report = new Stimulsoft.Report.StiReport();
    report.loadFile('Reports/SimpleList.mrt');

    var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
    designerOptions.appearance.fullScreenMode = true;

    return (
        <Designer
            options={designerOptions}
            report={report}
            onSaveReport={onSaveReport}
            onCreateReport={onCreateReport}
            onPreviewReport={onPreviewReport}
            onExit={onExit}
        />
    );
}

export default App;

Each event receives the current report through args.report. onCreateReport is a good place to pre-register data for every new report, while onSaveReport is where you store the edited template.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Using Designer Events
Our sample projects and report templates can help you learn the basics of working with our products.The designer raises events for creating, saving and previewing a report. This example registers data on new reports and reacts to saves.
Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
@Component({
selector: "using-designer-events",
imports: [Designer],
template: `<sti-designer [report]="report" [options]="designerOptions" (onCreateReport)="onCreateReport($event)" (onSaveReport)="onSaveReport($event)"></sti-designer>`
})
export class UsingDesignerEvents {
report = new Stimulsoft.Report.StiReport();
designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
var dataSet = new Stimulsoft.System.Data.DataSet("Demo");
dataSet.readJsonFile("Data/Demo.json");
args.report.regData("Demo", "Demo", dataSet);
args.report.dictionary.synchronize();
}
onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) { alert("onSaveReport event"); }
constructor() { this.report.loadFile("Reports/SimpleList.mrt"); }
}Each event receives the current report through args.report; onCreateReport pre-registers data for new reports, and onSaveReport is where you persist the edited template.